/*
  ddless: file io
*/
#ifndef DD_FILE_INCLUDED
#define DD_FILE_INCLUDED

// needed for lseek64
#define _LARGEFILE64_SOURCE

#include <sys/types.h>
#include <asm/fcntl.h>
#include <unistd.h>

int dd_dev_open_ro(char *device_name, int o_direct);
int dd_dev_open_rw(char *device_name, int o_direct);
off64_t dd_device_size(int fd);
int dd_file_exists(char *filename);
off64_t dd_file_size(char *filename);

#endif
